<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    <!-- root match -->
    <xsl:template match="/report">
        <!-- perhaps we can put an image that is
  like the color lights (red/yellow/green)
   depending on the status ?? -->
        <!--<html>-->
        <!--<head>-->
        <!--<title>WSO2 Tools - MAR (Module Archive) &amp; module.xml Validator</title>-->
        <!--<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>-->
        <!--<meta name="mssmarttagspreventparsing" content="true"/>-->
        <!--<meta http-equiv="imagetoolbar" content="no"/>-->
        <!--<link rel="stylesheet" type="text/css" href="css/main.css"-->
        <!--media="screen, projection"/>-->
        <!--<link rel="stylesheet" type="text/css" href="extensions/core/css/wso2wsas.css"-->
        <!--media="screen, projection"/>-->
        <!--</head>-->
        <!--<body>-->
        <div id="middle">
            <h2>Module Archive Validation Report</h2>
            <div id="workArea">
                <xsl:choose>
                    <xsl:when test="not(error) and not(warning) and not(info)">
                        <p class="error">
                            <strong>The xml file you've submitted is not a valid module.xml!</strong>
                        </p>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:choose>
                            <xsl:when test="not(error) and not(warning)">
                                <p class="success">
                                    <strong>There are no errors in your module.xml</strong>
                                    <!--<img src="/assets/images/green.gif" alt="green"/> -->
                                </p>
                                <br/>
                            </xsl:when>
                            <xsl:when test="not(error) and warning">
                                <p class="warning">
                                    <strong>There are no errors in your module.xml but certain recommended items are
                                        missing.
                                    </strong>
                                    <!-- <img src="/assets/images/yellow.gif" alt="yellow"/> -->
                                </p>
                                <br/>
                            </xsl:when>
                            <xsl:otherwise>
                                <p class="error">
                                    <strong>There are errors in your module.xml!</strong>
                                    <!-- <img src="/assets/images/red.gif" alt="red"/> -->
                                </p>
                                <br/>
                            </xsl:otherwise>
                        </xsl:choose>
                        <xsl:if test="error">
                            <!--<p class="error">We've found the following errors in your module.xml.</p>-->
                            <!--<ol>-->
                            <!--<xsl:for-each select="error">-->
                            <!--<li>-->
                            <!--<xsl:value-of select="."/>-->
                            <!--</li>-->
                            <!--</xsl:for-each>-->
                            <!--</ol>-->

                            <div id="errosDiv">
                                <table id="errorsTable" class="styledLeft" width="100%">
                                    <thead>
                                        <tr>
                                            <th align="left">Errors
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <xsl:for-each select="error">
                                            <tr>
                                                <td>
                                                    <xsl:value-of select="."/>
                                                </td>
                                            </tr>
                                        </xsl:for-each>
                                    </tbody>
                                </table>
                            </div>
                            <br/>

                        </xsl:if>
                        <xsl:if test="warning">
                            <!--<p class="warning">There are some recommended items missing even though not required.</p>-->
                            <!--<ol>-->
                            <!--<xsl:for-each select="warning">-->
                            <!--<li>-->
                            <!--<xsl:value-of select="."/>-->
                            <!--</li>-->
                            <!--</xsl:for-each>-->
                            <!--</ol>-->

                            <div id="warningsDiv">
                                <table id="warningsTable" class="styledLeft" width="100%">
                                    <thead>
                                        <tr>
                                            <th align="left">Warnings
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <xsl:for-each select="warning">
                                            <tr>
                                                <td>
                                                    <xsl:value-of select="."/>
                                                </td>
                                            </tr>
                                        </xsl:for-each>
                                    </tbody>
                                </table>
                            </div>
                            <br/>

                        </xsl:if>
                        <xsl:if test="info">
                            <!--<p class="info">The following information was found during the verification process</p>-->
                            <!--<ol>-->
                            <!--<xsl:for-each select="info">-->
                            <!--<li>-->
                            <!--<xsl:value-of select="."/>-->
                            <!--</li>-->
                            <!--</xsl:for-each>-->
                            <!--</ol>-->

                            <div id="infoDiv">
                                <table id="infoTable" class="styledLeft" width="100%">
                                    <thead>
                                        <tr>
                                            <th align="left">Infomation
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <xsl:for-each select="info">
                                            <tr>
                                                <td>
                                                    <xsl:value-of select="."/>
                                                </td>
                                            </tr>
                                        </xsl:for-each>
                                    </tbody>
                                </table>
                            </div>
                            <br/>

                        </xsl:if>
                    </xsl:otherwise>
                </xsl:choose>
                <table class="styledLeft">
                    <tr>
                        <td class="buttonRow" >
                            <input name="backButton" type="button" class="button"
                                   value=" &lt;Back "
                                   onclick="javascript:history.back();"/>
                            <input type="button" class="button"
                                   value=" Finish "
                                   onclick="javascript:location.href='../admin/index.jsp'"/>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <script language="JavaScript">
            alternateTableRows('warningsTable', 'tableEvenRow', 'tableOddRow');
            alternateTableRows('infoTable', 'tableEvenRow', 'tableOddRow');
            alternateTableRows('errorsTable', 'tableEvenRow', 'tableOddRow');
        </script>
        <!--</body>-->
        <!--</html>-->
    </xsl:template>
</xsl:stylesheet>
