<!--
/*
* Copyright (c) 2008, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/
-->
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<!-- This page is included to display messages which are set to request scope or session scope -->
<jsp:include page="../dialog/display_messages.jsp"/>

<fmt:bundle basename="org.wso2.carbon.validator.ui.i18n.Resources">
<carbon:breadcrumb 
		label="validator.aarheadertext"
		resourceBundle="org.wso2.carbon.validator.ui.i18n.Resources"
		topPage="true" 
		request="<%=request%>" />
		
    <script type="text/javascript">
        var selectMessageStart = '<fmt:message key="message.start"/> ';
        var selectMessageEnd = '  <fmt:message key="message.end"/>';
    </script>

    <script type="text/javascript" src="validator.js"></script>

    <div id="middle">
        <h2><fmt:message key="validator.aarheadertext"/></h2>

        <div id="workArea">

            <form id="aarValidatorDivFormId" method="post" name="aarValidatorDivFormId"
                  enctype="multipart/form-data" action="../../fileupload/aar_mar_validator"
                  target="_self">
                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message key="validator.aarlegend"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td style="width:150px;">
                                        <label><fmt:message
                                                key="validator.aarlabel"/></label>
                                    </td>
                                    <td>
                                        <input id="serviceArchiveFile" type="file"
                                               name="serviceArchiveFile"
                                               size="50"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="buttonRow">
                            <input type="submit" name="upload" class="button"
                                   value="<fmt:message key="validator.aarbutton"/>"
                                   onclick=" javascript: return validateArchive('serviceArchiveFile', '.aar'); "/>
                        </td>
                    </tr>
                </table>
            </form>

            <br/>

            <form id="services_xmlValidatorDivIdFormId" method="post"
                  name="services_xmlValidatorDivIdFormId"
                  action="../../fileupload/aar_mar_validator"
                  enctype="multipart/form-data" target="_self">
                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th><fmt:message key="validator.svcxmllegend"/></th>
                    </tr>
                    </thead>
                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tr>
                                    <td style="width:150px;">
                                        <label><fmt:message key="validator.svcxmllabel"/></label>
                                    </td>
                                    <td>
                                        <input id="serviceXMLFile" type="file" name="serviceXMLFile"
                                               size="50"/>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="buttonRow">
                            <input type="submit" class="button"
                                   value="<fmt:message key="validator.svcxmlbutton"/>"
                                   onclick=" javascript: return validateXML('serviceXMLFile', 'services.xml'); "/>
                        </td>
                    </tr>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>
